// Author: fengshengxiong
// Date: 2024/6/19
// Description: ip、区域模型

import 'dart:convert';

class IosCodeModel {
  String? isoCode;
  String? ip;

  IosCodeModel({
    this.isoCode,
    this.ip,
  });

  factory IosCodeModel.fromJson(String str) => IosCodeModel.fromMap(json.decode(str));

  String toJson() => json.encode(toMap());

  factory IosCodeModel.fromMap(Map<String, dynamic> json) => IosCodeModel(
    isoCode: json["isoCode"],
    ip: json["ip"],
  );

  Map<String, dynamic> toMap() => {
    "isoCode": isoCode,
    "ip": ip,
  };
}
